<template>
  <div class="menu-content-sized-container">
    <div class="main-page-map-container">
      <div id="map"></div>
      <!-- <div class="map-background"></div> -->
      <div class="main-page-header-content">
        <h1><span>THE DECENTRALIZED<br>& AUTONOMOUS</span><br>CROSS-CHAIN<br>LIQUIDITY NETWORK</h1>
        <div class="thorchain-info">
          <span><b>{{MCCN.activeNodeCount || '46'}}</b> Active THORNodes</span><br>
          <span><b>{{MCCN.standbyNodeCount || '26'}}</b> Standby THORNodes</span><br>
          <span v-if="MCCN && MCCN.nextChurnTime"><b>{{MCCN.nextChurnTime}}</b> Until Next Churn</span>
        </div>
        <div class="info-divider"></div>
        <div class="thorchain-info">
          <span><b>${{MCCN.tvlInUsd || '346M'}}</b> TVL</span><br>
          <span><b>{{MCCN.totalPool || '31'}}</b> Liquidity Pools</span><br>
          <span><b>{{lpAPY || '12'}}%</b> Avg. Pooling APY</span>
        </div>
        <div class="info-divider"></div>
        <div class="thorchain-info">
          <span>
            <b>${{MCCN.swapVolumeInUSD || '1.5B'}}</b> Native On-Chain Swaps
            <!-- <object class="chain-img" type="image/svg+xml" :data="require('~/assets/images/homepage/header/chains.svg')">
              <img class="chain-img" src="~/assets/images/homepage/header/chains.svg">
            </object> -->
            <!-- <img class="chain-img" :src="require('~/assets/images/homepage/header/chains.gif')" alt="chains"> -->
          </span>
        </div>
        <divider></divider>
        <div class="home-btns">
          <org-button :settings="{mode: 'semi', style: 'yellow', buttons: [{text: 'Swap / Pool via Interfaces', linkProps: this.$links('slash_interfaces')}]}"></org-button>
          <div style="width: 1.25rem"></div>
          <org-button :settings="{mode: 'semi', style: 'main', buttons: [{text: 'Explore the Network', linkProps: this.$links('slash_network_explorers')}]}"></org-button>
        </div>
      </div>
    </div>
    <header-content :settings="missionHeader"></header-content>
    <video-content :settings="videoContent"></video-content>
    <divider></divider>
    <gantt-chart :settings="ganttChart"></gantt-chart>
    <gantt-chart :settings="singleChart"></gantt-chart>
    <big-divider></big-divider>
    <highlight-cards :settings="highlights"></highlight-cards>
    <big-divider></big-divider>
    <header-content :settings="runeTokenHeader"></header-content>
    <image-component :settings="deterministicValue"></image-component>
    <big-divider></big-divider>
    <tile :settings="tileComponent"></tile>
    <big-divider></big-divider>
    <main-card :settings="mainCard"></main-card>
    <section-divider></section-divider>
  </div>
</template>

<script src="./script.js"></script>
<style src="./style.scss" lang="scss"></style>
